<?php
  class A
  {
    public function f()
    {
      echo "Jestem funkcją f z klasy A.";
    }
  }

  class B extends A
  {
    public function f()
    {
      parent::f();
      echo "Jestem funkcją f z klasy B.";
    }
  }

  $objA = new A();
  $objB = new B();

  $objA->f();
  echo "\n";
  $objB->f();
?>
